Subject: bug#54472: 29.0.50; mouse-wheel-scroll-amount inconsistency

From: Ergus <[email-masked]>
Date: Tue, 22 Mar 2022 10:49:46 +0100

Hi:

I just confirmed with the developer that this is an issue/feature/limitation with xterm omit translation mouse wheel... So in spite of the problem is there, it is not in emacs side, so you may want to close this issue.

Best,
Ergus

On March 21, 2022 9:50:20 AM GMT+01:00, Po Lu <[email-masked]> wrote:
>Ergus <[email-masked]> writes:
>
>> I'm pretty sure now that this is related with the events...
>>
>> With `emacs -nw` when I scroll 1 tick and `C-h l` I see:
>>
>> ```
>>  ESC [ < 6 5		; 8 0 ; 1 9 M <mouse-5> ;; mwheel-scroll
>>  ESC [ < 6 5		; 8 0 ; 1 9 M <mouse-5> ;; mwheel-scroll
>>  C-h l			;; view-lossage
>> ```
>
>I think this is a bug in xterm-mouse-mode: IIRC (though this may be very
>inaccurate) xterm sends an escape sequence both for a mouse button being
>pressed and for one being released.
>
>On X Windows, moving the scroll wheel will result in both a ButtonPress
>and a ButtonRelease event for the appropriate scroll wheel button.
>
>But I'm by no means an xterm expert, so this may very well be wrong.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.